# Get carrier hold locations

This operation returns carrier pickup locations where wine shipments are allowed. You can filter your search by carrier, city, state, ZIP code, and paginate through the result set.
***Note:** The information provided by the Wineshipping Get Carrier Locations API service is based on the corresponding FedEx and/or UPS service information available at the time of inquiry and is subject to change without notice. Due to these factors, Wineshipping cannot guarantee the accuracy of current or future information generated by this API service.*

Endpoint: POST /api/Address/GetCarrierLocations
Version: 3.1.3

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `ShippingCarrier` (string)
    Enum: "FEX", "UPS"

  - `City` (string)

  - `State` (string)

  - `ZipCode` (string)

  - `SearchRadius` (number)
    Search in miles

  - `Latitude` (number)

  - `Longitude` (number)

  - `Top` (integer)

  - `Skip` (integer)

## Request examples:

  - `FedEx by Zip and Search Radius` (unknown)

  - `UPS by lat/lng and Search Radius` (unknown)

  - `All with paging` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `TransactionReferenceNumber` (string)

  - `TotalRecordCount` (integer)

  - `Skip` (integer)

  - `Top` (integer)

  - `MoreRecords` (boolean)

  - `CarrierLocations` (array)

  - `CarrierLocations.IsAlcoholShipmentAllowed` (boolean)

  - `CarrierLocations.LocationId` (string)

  - `CarrierLocations.StoreNumber` (string)

  - `CarrierLocations.LocationType` (string)

  - `CarrierLocations.Address` (object)

  - `CarrierLocations.Address.CompanyName` (string)

  - `CarrierLocations.Address.StreetLines` (array)

  - `CarrierLocations.Address.City` (string)

  - `CarrierLocations.Address.State` (string)

  - `CarrierLocations.Address.ZipCode` (string)

  - `CarrierLocations.Address.Country` (string)

  - `CarrierLocations.Address.GeographicCoordinates` (object)

  - `CarrierLocations.Address.GeographicCoordinates.Latitude` (string)

  - `CarrierLocations.Address.GeographicCoordinates.Longitude` (string)

  - `CarrierLocations.BusinessHours` (array)

  - `CarrierLocations.BusinessHours.DayOfWeek` (string)

  - `CarrierLocations.BusinessHours.Open` (string)

  - `CarrierLocations.BusinessHours.Close` (string)

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

